## org.opengis.coverage
Interface DomainObject

All Known Subinterfaces:
  GridPoint

    @UML(identifier="CV_DomainObject",
         specification=ISO_19123)
    public interface DomainObject

Represents an element of the domain of the coverage. It is an aggregation of objects that may include any combination of geometry, or spatial or temporal objects such as grid point.

See Also:
  `Coverage.getDomainElements()`

Method Summary
`Set<Geometry>` `getSpatialElements()` Returns the set of geometries of which this domain is composed.
`Set<TemporalGeometricPrimitive>` `getTemporalElements()` Returns the set of geometric primitives of which this domain is composed.

Method Detail

### getSpatialElements

    @UML(identifier="spatialElement",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<Geometry> getSpatialElements()

  Returns the set of geometries of which this domain is composed. The set may be empty.

### getTemporalElements

    @UML(identifier="temporalElement",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<TemporalGeometricPrimitive> getTemporalElements()

  Returns the set of geometric primitives of which this domain is composed. The set may be empty.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.